My Project: Material Class Reference

My Project

Public Member Functions | Static Public Member Functions | List of all members
Material Class Reference

`#include <shadermat.h>`

Inheritance diagram for Material:

## Public Member Functions

void | BufferToMaterial (unsigned char *buffer)
void | MaterialToBuffer (unsigned char *buffer)
Public Member Functions inherited from Texture
| Texture ()
Texture * | Copy ()
void | FreeTexture ()
void | DrawTexture (int x, int y)
void | TextureBlend (int blend_no)
void | TextureCoords (int coords_no)
void | ScaleTexture (float u_s, float v_s)
void | PositionTexture (float u_p, float v_p)
void | RotateTexture (float ang)
void | BufferToTex (unsigned char *buffer, int frames=0)
void | TexToBuffer (unsigned char *buffer, int frames=0)
void | BackBufferToTex (int frames=0)
void | CameraToTex (Camera *cam, int frames=0)
void | DepthBufferToTex (Camera *cam)
string | TextureName ()
Texture * | TexInList ()
void | FilterFlags ()

## Static Public Member Functions

static Material * | LoadMaterial (string filename, int flags=0, int frame_width=0, int frame_height=0, int first_frame=0, int frame_count=1)
Static Public Member Functions inherited from Texture
static Texture * | LoadTexture (string filename, int flags=0)
static Texture * | LoadAnimTexture (string filename, int flags=0, int frame_width=0, int frame_height=0, int first_frame=0, int frame_count=1)
static Texture * | CreateTexture (int width=256, int height=256, int flags=3, int frames=0)
static void | ClearTextureFilters ()
static void | AddTextureFilter (string text_match, int flags)

## Additional Inherited Members

Public Attributes inherited from Texture
unsigned int | texture
string | file
unsigned int * | frames
int | flags
int | blend
int | coords
float | u_scale
float | v_scale
float | u_pos
float | v_pos
float | angle
string | file_abs
int | width
int | height
int | no_frames
unsigned int * | framebuffer
int | cube_face
int | cube_mode
int | glTexEnv [3][12]
int | glTexEnv_count
Static Public Attributes inherited from Texture
static list< Texture * > | tex_list

## Member Function Documentation

## § BufferToMaterial()

void Material::BufferToMaterial | ( | unsigned char * | buffer | ) |

## § LoadMaterial()

Material * Material::LoadMaterial | ( | string | filename,
|  | int | flags = `0`,
|  | int | frame_width = `0`,
|  | int | frame_height = `0`,
|  | int | first_frame = `0`,
|  | int | frame_count = `1`
| ) |  |

static

## § MaterialToBuffer()

void Material::MaterialToBuffer | ( | unsigned char * | buffer | ) |

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/shadermat.h
- openb3dlib.mod/openb3d/src/material.cpp